<!DOCTYPE HTML>

<html lang="en" xmlns:th="http://www.thymeleaf.org"
	xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity5">

<head>
<title>Achievents</title>

<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport"
	content="width=device-width, initial-scale=1, shrink-to-fit=no">

<!-- Bootstrap CSS -->
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
	integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh"
	crossorigin="anonymous">
	<script type="text/javascript" src="/js/tutor-form.js"></script>
</head>

<body style="background-color: #E3E2E6">

	<nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
		<a class="navbar-brand" href="/">Home</a>
		<button class="navbar-toggler" type="button" data-toggle="collapse"
			data-target="#navbarsExampleDefault"
			aria-controls="navbarsExampleDefault" aria-expanded="false"
			aria-label="Toggle navigation">
			<span class="navbar-toggler-icon"></span>
		</button>

		<div class="collapse navbar-collapse" id="navbarsExampleDefault">
			<ul class="navbar-nav mr-auto">
				<li class="nav-item active"><a class="nav-link"
					sec:authorize="!hasRole('ROLE_STUDENTE')" href="/offerte/full-list">Tutte
						le offerte</a></li>
			</ul>
			<form class="form-inline my-2 my-lg-0">
				<input class="form-control mr-sm-2" type="text" placeholder="Search"
					aria-label="Search">
				<button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
			</form>
		</div>
	</nav>

	<div class="container">

		<br>
		<br>
		<br>
		<br>

		<h2>Nuovo Tutor</h2>
		<hr>
		<br>

		<form id="form" action="#" onsubmit="return validateForm()" th:action="@{/offerte/salvaTutor(username=${#authentication.name})}"
			th:object="${tutor}" method="POST">

			<input type="text" id="cf" th:field="*{cf}" class="form-text form-control mb-4 col-4"
				placeholder="Codice Fiscale"> <input type="text"
				th:field="*{nome}" id="nome" class="form-text form-control mb-4 col-4"
				placeholder="Nome"> <input id="cognome" type="text" th:field="*{cognome}"
				class="form-text form-control mb-4 col-4" placeholder="Cognome">
			<button id="salva" type="submit" class="btn btn-info col-2">Salva</button>
			<br><br>
		</form>
		<hr>
		
		<h4 th:if="${numeroTutor == 0}">Non hai altri tutor disponibili</h4><br>
		<h4 th:if="${numeroTutor > 0}">Oppure scegli tra i tutor disponibili</h4><br>
		<a th:if="${numeroTutor > 0}" id="mostraTutor"
			onclick="show()" sec:authorize="!hasRole('ROLE_STUDENTE')"
			class="text-white btn btn-primary btn-sm col-2">Mostra Tutor Disponibili</a>
		<a style="display: none" id="nascondiTutor"
			th:if="${numeroTutor > 0}" onclick="hide()"
			sec:authorize="!hasRole('ROLE_STUDENTE')"
			class="text-white btn btn-secondary btn-sm col-2">Nascondi
			Tutor Disponibili</a>
			
		<br>

		
			
		<div id="tutors" sec:authorize="!hasRole('ROLE_STUDENTE')" style="display: none" class="container">

			<table class="table table-bordered table-striped">
				<thead class="thead-dark">
					<tr>
						<th>Codice Fiscale</th>
						<th>Nome</th>
						<th>Cognome</th>
						<th>Action</th>
					</tr>
				</thead>

				<tbody>
					<tr th:each="temp : ${tutors}">
						<td th:text="${temp.cf}" />
						<td th:text="${temp.nome}" />
						<td th:text="${temp.cognome}" />
						<td><a th:href="@{/offerte/assegnaTutor(idOfferta=${idOfferta}, cf=${temp.cf}, username=${#authentication.name})}"
						class="btn btn-info btn-sm"><span class="mr-2 ml-2" >Assegna</span></a></td>
					</tr>
				</tbody>
			</table>
		</div>
		<hr>
		<a th:href="@{/offerte/list(username=${#authentication.name})}">Indietro</a>
	</div>
</body>

</html>